const HDrpManagement = [
  {
    path: '/logisticcom',
    name: 'logisticcom',
    meta: {
      title: '物流公司',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/logisticcom/index'),
  },
  {
    path: '/brandmag',
    name: 'brandmag',
    meta: {
      title: '品牌管理',
      ast_nav: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/BrandManage/index'),
  },
  {
    path: '/sm_unit',
    name: 'unit',
    meta: {
      title: '计量单位',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/unit/index'),
  },
  {
    path: '/productgroupmag',
    name: 'productgroupmag',
    meta: {
      title: '商品组管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductGroupMag/index'),
    children: [
      {
        path: '/productGroupDetail',
        name: 'productgroupmag',
        meta: {
          title: '商品组详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductGroupMag/modules/details'),
      },
    ]
  },
  {
    path: '/productmag',
    name: 'productmag',
    meta: {
      title: '商品管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductMag/index'),
    children: [
      {
        path: '/productmagDetail',
        name: 'productmag',
        meta: {
          title: '商品管理详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductMag/detail/index')
      }
    ]
  }, {
    path: '/sm_saleclass',
    name: 'saleclass',
    meta: {
      title: '营销类别管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/saleclass/index'),
  },{
    path: '/prodectFileData',
    name: 'prodectFileData',
    meta: {
      title: '产品技术资料',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/prodectFileData/index'),
    children: [
      {
        path: '/relation',
        name:'prodectFileData',
        meta: {
          title: '技术资料关联商品',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/prodectFileData/modules/relation')
      }
    ]
  },{
    path: '/accountclass',
    name: 'accountclass',
    meta: {
      title: '营销账户类型',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/accountclass/index')
  },{
    path: '/payvoucher',
    name: 'payvoucher',
    meta: {
      title: '支出凭证',
      ast_nav: true,
      keeproute: true
    },
    component: () => import('@/HDrpManagement/payvoucher/index'),
    children: [
      {
        path: '/payvoucherDetails',
        name: 'payvoucher',
        meta: {
          title: '支出凭证详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import('@/HDrpManagement/payvoucher/details/index')
      }
    ]
  },{
    path: '/recvoucher',
    name: 'recvoucher',
    meta: {
      title: '收入凭证',
      ast_nav: true,
      keeproute: true
    },
    component: () => import('@/HDrpManagement/recvoucher/index'),
    children: [
      {
        path: '/recvoucherDetails',
        name: 'recvoucher',
        meta: {
          title: '收入凭证详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import('@/HDrpManagement/recvoucher/details/index'),
      }
    ]
  },{
    path: '/creditbilladj',
    name:'creditbilladj',
    meta: {
      title: '信用额度调整单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/Creditbilladj/index'),
    children: [
      {
        path: '/creditbilladjDetail',
        name:'creditbilladj',
        meta: {
          title: '信用额度调整单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/Creditbilladj/modules/details')
      },
    ]
  },{
    path: '/accountmoney',
    name:'accountmoney',
    meta: {
      title: '营销账户余额',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/AccountMoney/index')
  },{
    path: '/PrivateCustomer',
    name:'PrivateCustomer',
    meta: {
      title: '私域客户',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/privateCustomer/index')
  },{
    path: '/PrivateCustomerDetail',
    name:'PrivateCustomer',
    meta: {
      title: '私域客户详情',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/privateCustomer/modules/detail')
  },{
    path: '/PublicCustomer',
    name:'PublicCustomer',
    meta: {
      title: '公海客户',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/publicCustomer/index'),
    children:[
      {
        path: '/PublicCustomerDetail',
        name:'PublicCustomer',
        meta: {
          title: '公海客户详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/publicCustomer/modules/detail')
      },
    ]
  },{
    path: '/publicManage',
    name:'publicManage',
    meta: {
      title: '公海规则设置',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/publicManage/index')
  },{
    path: '/projectStage',
    name:'projectstage',
    meta: {
      title: '项目阶段管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectStageMag/index'),
  },{
    path: '/competitor',
    name: 'competitor',
    meta: {
      title: '竞争对手',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/competitor/index'),
    children: [
      {
        path: '/competitorDetail',
        name: 'competitor',
        meta: {
          title: '竞争对手详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/competitor/detail/index')
      }
    ]
  },{
    path: '/projectChange',
    name:'project',
    meta: {
      title: '项目商机',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange/index'),
    children:[
      {
        path: '/projectChangeDetail',
        name: 'project',
        meta: {
          title: '项目商机详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange/modules/detail')
      }
    ]
  },{
    path: '/quotationDetail',
    name:'project',
    meta: {
      title: '报价单详情',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange/modules/modules/quotation/modules/detail')
  },{
    path: '/rivalDetail',
    name:'project',
    meta: {
      title: '竞争对手',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange//modules/modules/rival/modules/detail')
  },{
    path: '/productMoneyOdd',
    name:'productMoneyOdd',
    meta: {
      title: '商品价格调整单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/productMoneyOdd/index'),
    children:[
      {
        path: '/productMoneyOddDetail',
        name: 'productMoneyOdd',
        meta: {
          title: '商品调整单详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/productMoneyOdd/modules/detail')
      }
    ]
  },{
    path: '/contract_manage',
    name:'contract',
    meta: {
      title: '合同管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/index'),
    children:[
      {
        path: '/contractDetail',
        name: 'contract',
        meta: {
          title: '合同详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/modules/detail')
      },
      {
        path: '/addContract',
        name: 'contract',
        meta: {
          title: '新增合同',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/components/addContract')
      },
      {
        path: '/editContract',
        name: 'contract',
        meta: {
          title: '合同详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/modules/detail'),
        children: [
          {
            path: '/editContract',
            name: 'contract',
            meta: {
              title: '编辑合同',
              ast_nav:true,
              keeproute: true
            },
            component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/components/editContract')
          },
        ]
      }
    ]
  },
  
];
export default HDrpManagement;
